public class AppointmentBookServlet extends HttpServlet
AppointmentBook. However, in its current state, it is an example
of how to use HTTP and Java servlets to store simple key/value pairs.| Constructor and Description |
|---|
AppointmentBookServlet() |
| Modifier and Type | Method and Description |
|---|---|
protected void |
doDelete(HttpServletRequest request,
HttpServletResponse response)
Handles an HTTP DELETE request by removing all key/value pairs.
|
protected void |
doGet(HttpServletRequest request,
HttpServletResponse response)
Handles an HTTP GET request from a client by writing the value of the key
specified in the "key" HTTP parameter to the HTTP response.
|
protected void |
doPost(HttpServletRequest request,
HttpServletResponse response)
Handles an HTTP POST request by storing the key/value pair specified by the
"key" and "value" request parameters.
|
doHead, doOptions, doPut, doTrace, getLastModified, service, servicedestroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, logpublic AppointmentBookServlet()
protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
doGet in class HttpServletServletExceptionIOExceptionprotected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
doPost in class HttpServletServletExceptionIOExceptionprotected void doDelete(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
doDelete in class HttpServletServletExceptionIOExceptionCopyright © 2016 Portland State University. All rights reserved.